<?php
/**
*MAPAactividad.php
*
*
* aplicacin para generar mapas para el dearrollo de una actividad, permitiendo la visualizacin y carga de puntos)
* 
* @package    	Plataforma Colectiva de Informacin Territorial: UBATIC2014
* @subpackage 	mapas
* @author     	Universidad de Buenos Aires
* @author     	<mario@trecc.com.ar>
* @author    	http://www.uba.ar/
* @author    	http://www.trecc.com.ar/recursos/proyectoubatic2014.htm
* @author		based on TReCC SA Procesos Participativos Urbanos, development. www.trecc.com.ar/recursos
* @copyright	2015 Universidad de Buenos Aires
* @copyright	esta aplicacin se desarrollo sobre una publicacin GNU 2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
* 
*
*/
include('./includes/conexion.php');
include('./includes/conexionusuario.php');
include("./includes/fechas.php");
include("./includes/cadenas.php");

include("./includes/BASEconsultas.php");

$UsuarioI = $_SESSION['USUARIOID'];
if($UsuarioI==""){header('Location: ./login.php');}


$FILTRO=isset($_GET['filtro'])?$_GET['filtro']:'';

$MODO = $_GET['modo'];

$HOY=date("Y-m-d");
?>
<head>
	<title>Panel de control</title>
	<?php 
	include("./includes/meta.php");
	?>
	 <style type='text/css'>
	 	body, input, form{
	 		font-size:9px;
	 		font-family:arial;
	 		margin:0;
	 		
	 	}
	 	input{
	 		width:200px;
	 	}
	 	
	 	input[type='submit']{
	 		width:80px;
	 		display:block;
	 		margin:2px;
	 		margin-top:4px;
	 	}	 	
	 	input[readonly='readonly']{
	 		width:42px;
	 		display:inline;
	 		margin:0px;
	 		background-color:transparent;
	 		border:none;
	 	}
	 	
	 	label{
	 		margin-top:5px;
	 		display: inline-block;
	 		font-size:12px;
	 		font-weight:bold;
	 	}
	 a{
	 	display: inline-block;
	    max-height: 13px;
	    max-width: 110px;
	    overflow: hidden;
	 }
	 p{
	 	margin:0px;
	 }
 	 #divMapa { 
 	 	 
 	 	height: 300px; 
		border: solid 2px #808080; 
		}
		
		a.olControlZoomOut.olButton{
			font-size:10px;
			line-height:10px;
			width:13px;
		}
		a.olControlZoomIn.olButton{
			font-size:10px;
			line-height:10px;
			width:13px;
		}		
		div.olControlZoom.olControlNoSelect {
		    left: 3px;
		    top: 3px;
		}
		.olControlAttribution olControlNoSelect{
		 	bottom: 10px;
		}
	 </style>
	 
	
<?php

function obtenerPuntos($Actividad,$Escala,$Nivel,$Area){ // en ./BASEconsultas.php
	
	//falso dato
	$row['lon']='-58';
	$row['lat']='-35';
	$row['datos']='undato';
	$LocalizacionesAct[]=$row;
	$row['lon']='-59';
	$row['lat']='-35';
	$row['datos']='undato';
	$LocalizacionesAct[]=$row;	
//print_r($LocalizacionesAct);	


	//falso dato
	$row['lon']='-58';
	$row['lat']='-36';
	$row['datos']='undato';
	$LocalizacionesBase[]=$row;
	$row['lon']='-59';
	$row['lat']='-36';
	$row['datos']='undato';
	$LocalizacionesBase[]=$row;	
//print_r($LocalizacionesAct);	

// consulta puntos de la base colectiva de todas las actividades
	$Puntos['Activ']=$LocalizacionesAct;
	$Puntos['Base']=$LocalizacionesBase;	
	return $Puntos;
}


// define si se esta defininedo una argumentacin, de no ser as esta aplicacin solo devuelve un mensaje escrito
if(isset($_POST['actividad'])){
	$Actividad=$_POST['actividad'];
	$ACCION = $_POST['accion'];
}elseif(isset($_GET['actividad'])){
	$Actividad=$_GET['actividad'];
}else{
	$Actividad='';
}
if($Actividad==''){
	//header('location: ./actividades.php');	//si no hay una actividad definida esta pgina no debera consultarse
	echo "ERROR de Acceso 1";
	break;
}


$query="
	SELECT `ACTaccesos`.`id`,
	    `ACTaccesos`.`id_actividades`,
	    `ACTaccesos`.`id_usuarios`,
	    `ACTaccesos`.`nivel`
	FROM `MAPAUBA`.`ACTaccesos`
	WHERE id_actividades='".$Actividad."'
";
$Consulta = mysql_query($query,$Conec1);
echo mysql_error($Conec1);

while($row=mysql_fetch_assoc($Consulta)){
	$Accesos[$row['id_usuarios']]=$row['nivel'];
}
//print_r($Accesos);
if($Accesos[$UsuarioI]<1){
	//header('location: ./actividades.php');	//este usuario deber definir una actividad habilitada
	echo "ERROR de Acceso 2";
	break;
}

if($ACCION=="crear"){
	$query="
		INSERT INTO 
			`MAPAUBA`.`geodatos`
			SET
			`x`='".$_POST['x']."',
			`y`='".$_POST['y']."',
			`geometria`='".$_POST['geometria']."',
			`id_usuarios`='$UsuarioI',
			`id_actividades`='$Actividad',
			`fecha`='$HOY'
		";
	$Consulta = mysql_query($query,$Conec1);
	$NID=mysql_insert_id($Conec1);
	echo "<div class='aux'>";
		echo mysql_error($Conec1);	
		echo "punto creado";
	echo "</div>";

	$query="
		INSERT INTO 
			`MAPAUBA`.`atributos`
			SET
				`id`='$NID',
				`valor`='".$_POST['valor']."',
				`texto`='".$_POST['texto']."',
				`link`='".$_POST['link']."',
				`id_usuarios`='".$UsuarioI."',
				`id_actividades`='".$Actividad."',
				`fecha`='".$HOY."',
				`escala`='".$_POST['escala']."',
				`nivelUsuario`='".$Usuario['nivel']."',
				`areaUsuario`='".$Usuario['area']."'
		";
	$Consulta = mysql_query($query,$Conec1);
	
	echo "<div class='aux'>";
		echo mysql_error($Conec1);
		echo "punto creado $NID";
	echo "</div>";
		
}elseif($ACCION=="borrar"&&$Accesos[$UsuarioI]='2'){
	// si el formulario de reingreso as lo defini modifica el registro como borrado
	$query="
		UPDATE 
			`MAPAUBA`.`geodatos`
		SET 							
			`zz_borrada`='1'
		WHERE
			id = ".$_POST['localizacion']."
			AND id_actividades='".$Actividad."'
			AND `zz_AUTOUSUARIOCREACION`='".$UsuarioI."'
	";
	$Consulta = mysql_query($query,$Conec1);
	
		echo mysql_error($Conec1);
		echo "<p>localizacion borrada:</p>";
	
}





// consulta la actividad solicitada y sus puntos
$query="
	SELECT 
		`actividades`.`id`,
	    `actividades`.`x0`,
	    `actividades`.`y0`,
	    `actividades`.`xF`,
	    `actividades`.`yF`,
	    `actividades`.`geometria`,
	    `actividades`.`consigna`,
	    `actividades`.`valorAct`,
	    `actividades`.`valorDat`,
	    `actividades`.`valorUni`,
	    `actividades`.`textoAct`,
	    `actividades`.`textoDat`,
	    `actividades`.`objeto`,
	    `actividades`.`desde`,
	    `actividades`.`hasta`,
	    `actividades`.`resultados`,
	    `actividades`.`marco`,
	    `actividades`.`nivel`,
	    `actividades`.`zz_AUTOUSUARIOCREAC`
	FROM 
		`MAPAUBA`.`actividades`	
	WHERE 
		`actividades`.`id`='".$Actividad."'
		AND
		zz_borrada='0'	
	";
	
	$Consulta = mysql_query($query,$Conec1);
	echo mysql_error();
	
	$Actividad=mysql_fetch_assoc($Consulta);
	
	$Puntos = obtenerPuntos($Actividad['id'],$Escala,$Actividad['nivel'],$Actividad['marco']);

	
	
	/* esta aplicacin utiliza las libreras de openlayers para mostrar 
	 * un mapa interactivo que permite definir las localizacines*/	
	?>
	<script language="javascript">
	   
		function configure() {
			var template = document.demo.template.options[document.demo.template.selectedIndex].value;
			var snippet = " TEMPLATE " + template;
	        document.demo.map_web.value = snippet;
			if(template.indexOf("frame") != -1) document.demo.action = "frames.html";
	        if(template.indexOf("dhtml") != -1) document.demo.action = "frames_dhtml.html";
	   }      
	</script>
	<script src="http://www.openlayers.org/api/OpenLayers.js"></script>		
		 
	<script type="text/javascript">
	        // Definimos las variables globales 'mapa' y 'capa'
	        var mapa, capa, marcklayer, vectorLayer, controls, drawPoint, point_style;
	        
	        
	
	        // Definimos una funcin que arranque al cargar la pgina
	        window.onload= function() {
	        	
	        	OpenLayers.Map.isValidZoomLevel = function(zoomLevel) {
				   return ( (zoomLevel != null) &&
				      (zoomLevel >= 0) && // set min level here, could read from property
				      (zoomLevel < this.getNumZoomLevels()) );
				}
	        	
	        	
	            // Creamos el mapa
	            var mapa = new OpenLayers.Map("divMapa", {
				        controls: [
				          //new OpenLayers.Control.Navigation(),
				            new OpenLayers.Control.ArgParser(),
				            new OpenLayers.Control.Attribution()
				        ],
				        maxResolution:0.07578125
					});
				
					
				a= new OpenLayers.Control.Navigation();
				mapa.addControl(a);
				
				
				
				
	            // Creamos una capa base
	            var capa = new OpenLayers.Layer.WMS( 
	                "Base de calles OSM",
	                "http://full.wms.geofabrik.de/web/975d3dc24139f06ce8306f9353d28c10?", 
	                {layers: 'basic'},
	                {attribution:"Base OSM bajo servidor GEOFABRIK"}
	            );
	
           var styleMap = new OpenLayers.StyleMap({pointRadius: 2,}			                         );

            		
 			//creamos capa de puntos de la actividad
            baseLayer = new OpenLayers.Layer.Vector("Nuevos Base", {styleMap: styleMap});

		<?php
			$minLat=180;
			$minLon=180;
			$maxLat=-180;
			$maxLon=-180;
			
			foreach($Puntos['Base'] as $LAid => $LAdata ){
				$minLat=min($minLat,$LAdata['lat']);
				$minLon=min($minLon,$LAdata['lon']);
				$maxLat=max($maxLat,$LAdata['lat']);
				$maxLon=max($maxLon,$LAdata['lon']);				
				echo "
					var point =
				        new OpenLayers.Geometry.Point(".$LAdata['lon'].", ".$LAdata['lat'].");
				    var pointFeature =
				        new OpenLayers.Feature.Vector(point, null);
			
					// Aadir el feature creado a la capa de puntos existentes       
					baseLayer.addFeatures(pointFeature);					
				//parent.document.getElementById('recuadro2').innerHTML=parent.document.getElementById('recuadro2').innerHTML+'<li>".$LAdata['lon'].", ".$LAdata['lat']." nuevo punto</li>';
				";		
			}	
		?>
	 		//creamos capa de puntos de la actividad
	        vectorLayer = new OpenLayers.Layer.Vector("Nuevos puntos");
		<?php
			foreach($Puntos['Activ'] as $LAid => $LAdata ){
				$minLat=min($minLat,$LAdata['lat']);
				$minLon=min($minLon,$LAdata['lon']);
				$maxLat=max($maxLat,$LAdata['lat']);
				$maxLon=max($maxLon,$LAdata['lon']);
								
				echo "
					var point =
				        new OpenLayers.Geometry.Point(".$LAdata['lon'].", ".$LAdata['lat'].");
				    var pointFeature =
				        new OpenLayers.Feature.Vector(point, null);
			
					// Aadir el feature creado a la capa de puntos existentes       
					vectorLayer.addFeatures(pointFeature);			
				
				//parent.document.getElementById('recuadro3').innerHTML=parent.document.getElementById('recuadro3').innerHTML+'<li>".$LAdata['lon'].", ".$LAdata['lat']." nuevo punto</li>';
				
				";		
			}	
			$lon=($maxLon+$minLon)/2;
			$lat=($maxLat+$minLat)/2;
			?>



           var styleMap2 = new OpenLayers.StyleMap({pointRadius: 4,fillColor:'#f92',strokeColor:'#f00'})
			//creamos capa de puntos de la actividad
            nuevoLayer = new OpenLayers.Layer.Vector("Nuevo punto", {styleMap: styleMap2});


            // Aadimos las capas al mapa
            mapa.addLayers([capa, vectorLayer, baseLayer, nuevoLayer]);


	            // Fijamos centro y zoom
	            mapa.zoomToMaxExtent();

				
	            mapa.addControl(new OpenLayers.Control.MousePosition());
	
	            drawPoint=new OpenLayers.Control.DrawFeature(nuevoLayer,OpenLayers.Handler.Point);
				drawPoint.featureAdded = featAdded;
				mapa.addControl(drawPoint);
	
	            mapa.setCenter(new OpenLayers.LonLat(<?php echo $lon.", ".$lat;?>), 3);
	            
	            nuevoLayer.events.register('beforefeatureadded', nuevoLayer, function (limpiar) {
	            nuevoLayer.removeAllFeatures();
				});   
				
				drawPoint.activate();
	        }
	
	        function featAdded() {
				var _lat = parent.document.getElementById("y");
				_lat.value=drawPoint.handler.point.geometry.y;
				var _lon = parent.document.getElementById("x");
				_lon.value=drawPoint.handler.point.geometry.x;
				parent.document.getElementById('submit').style.display='block';
	        }


	</script>		
	</head>
	<body>
	
	<div id="divMapa"></div>
	
	<form method='POST' action='./argumentacionlocalizacion.php' enctype='multipart/form-data'>
	<input type='hidden' value='<?php echo $Actividad;?>' name='argumentacion'>
	<input type='hidden' value='<?php echo $_GET['localizacion'];?>' name='localizacion'>
	<input style='display:none;' type='button' value='confirmo borrar' onclick='this.parentNode.submit();'>
	</form>

</body>

