<?php 
/**
* actividad.php
*
* aplicacin para cargar nuevos puntos de relevamiento
*  
* 
* @package    	Plataforma Colectiva de Informacin Territorial: UBATIC2014
* @subpackage 	actividad
* @author     	Universidad de Buenos Aires
* @author     	<mario@trecc.com.ar>
* @author    	http://www.uba.ar/
* @author    	http://www.trecc.com.ar/recursos/proyectoubatic2014.htm
* @author		based on TReCC SA Procesos Participativos Urbanos, development. www.trecc.com.ar/recursos
* @copyright	2015 Universidad de Buenos Aires
* @copyright	esta aplicacin se desarrollo sobre una publicacin GNU 2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
* 
*
*/

//if($_SERVER[SERVER_ADDR]=='192.168.0.252')ini_set('display_errors', '1');ini_set('display_startup_errors', '1');ini_set('suhosin.disable.display_errors','0'); error_reporting(-1);

// verificacin de seguridad 
include('./includes/conexion.php');
include('./includes/conexionusuario.php');

// funciones frecuentes
include("./includes/fechas.php");
include("./includes/cadenas.php");

$UsuarioI = $_SESSION['USUARIOID'];
if($UsuarioI==""){header('Location: ./login.php');}

// funcin de consulta de actividades a la base de datos 
include("./actividades_consulta.php");

$ID = isset($_GET['actividad'])?$_GET['actividad'] : '';

$Hoy_a = date("Y");
$Hoy_m = date("m");	
$Hoy_d = date("d");
$HOY = $Hoy_a."-".$Hoy_m."-".$Hoy_d;	

// define si se esta defininedo una argumentacin, de no ser as esta aplicacin solo devuelve un mensaje escrito
if(isset($_POST['actividad'])){
	$Actividad=$_POST['actividad'];
	$ACCION = $_POST['accion'];
}elseif(isset($_GET['actividad'])){
	$Actividad=$_GET['actividad'];
}else{
	$Actividad='';
}
if($Actividad==''){
	header('location: ./actividades.php');	//si no hay una actividad definida esta pgina no debera consultarse
	echo "ERROR de Acceso 1";
	break;
}

// el reingreso a esta direccin desde su propio formulario php crea o modifica un registro de actividad 
if(isset($_POST['accion'])){
	$accion =$_POST['accion'];
	
	if($accion=='crear'){
		$query="
		INSERT INTO 
			`MAPAUBA`.`actividades`
			SET
			`zz_AUTOUSUARIOCREAC`='".$UsuarioI."'
		";
		mysql_query($query,$Conec1);
		$NID=mysql_insert_id($Conec1);
		if($NID!=''){
			$ID=$NID;
		}else{
			$mensaje="<div class='error'>no se ha podido crear el nuevo registro, por favor vuelva a intentar}";
		}
	}
			
	if($_POST['accion']=='guardar'){
		$query = "
		
			UPDATE 
				`MAPAUBA`.`actividades`
			SET
				
				`x0` = '".$_POST['x0']."',
				`y0` = '".$_POST['y0']."',
				`xF` = '".$_POST['xF']."',
				`yF` = '".$_POST['yF']."',
				`geometria` = '".$_POST['geometria']."',
				`consigna` = '".$_POST['consigna']."',
				`valorAct` = '".$_POST['valorAct']."',
				`valorDat` = '".$_POST['valorDat']."',
				`valorUni` = '".$_POST['valorUni']."',
				`textoAct` = '".$_POST['textoAct']."',
				`textoDat` = '".$_POST['textoDat']."',
				`objeto` = '".$_POST['objeto']."',
				`desde` = '".$_POST['desde']."',
				`hasta` = '".$_POST['hasta']."',
				`resultados` = '".$_POST['resultados']."',
				`marco` = '".$_POST['marco']."',
				`nivel` = '".$_POST['nivel']."'
			WHERE `id` = '".$_POST['id']."'
			AND zz_AUTOUSUARIOCREAC = '".$UsuarioI."'";
		mysql_query($query,$Conec1);
		echo mysql_error($Conec1);
	}
}

	
// medicion de rendimiento lamp 
	$starttime = microtime(true);

// filtro de representacin restringe documentos visulazados, no altera datos estadistitico y de agregacin 
	$FILTRO=isset($_GET['filtro'])?$_GET['filtro']:'';	
	
// filtro temporal de representacin restringe documentos visulazados, no altera datos estadistitico y de agregacin 	
	$fechadesde_a=isset($_GET['fechadesde_a'])?str_pad($_GET['fechadesde_a'], 4, "0", STR_PAD_LEFT):'0000';
	$fechadesde_m=isset($_GET['fechadesde_m'])?str_pad($_GET['fechadesde_m'], 2, "0", STR_PAD_LEFT):'00';
	$fechadesde_d=isset($_GET['fechadesde_d'])?str_pad($_GET['fechadesde_d'], 2, "0", STR_PAD_LEFT):'00';
	if($fechadesde_a!='0000'&&$fechadesde_m!='00'&&$fechadesde_d!='00'){
		$FILTROFECHAD=$fechadesde_a."-".$fechadesde_m."-".$fechadesde_d;
	}else{
		$FILTROFECHAD='';
	}
	$fechahasta_a=isset($_GET['fechahasta_a'])?str_pad($_GET['fechahasta_a'], 4, "0", STR_PAD_LEFT):'0000';
	$fechahasta_m=isset($_GET['fechahasta_m'])?str_pad($_GET['fechahasta_m'], 2, "0", STR_PAD_LEFT):'00';
	$fechahasta_d=isset($_GET['fechahasta_d'])?str_pad($_GET['fechahasta_d'], 2, "0", STR_PAD_LEFT):'00';
	if($fechahasta_a!='0000'&&$fechahasta_m!='00'&&$fechahasta_d!='00'){
		$FILTROFECHAH=$fechahasta_a."-".$fechahasta_m."-".$fechahasta_d;
	}else{	
		$FILTROFECHAH='';
	}

	// funcin para obtener listado formateado html de actividades 
	$Contenido =  actividadeslistado($ID);
?>

	<title>MAPAUBA - Registro de Actores para los procesos participativos</title>
	<?php include("./includes/meta.php");?>
	<link href="css/treccppu.css" rel="stylesheet" type="text/css">
	
	
	<style type='text/css'>
		.dato.fecha{
		    width: 60px;
		}
		.dato.autor{
		    width: 90px;
		}		
		.dato.descripcion{
		    width: 180px;
		}		
		
		.dato.localizaciones, .dato.imagenes{
			font-size: 11px;
		}
		
		.elemento {
		    background-color: #ADD8E6;
		    border: 2px solid #08AFD9;
		    cursor: pointer;
		    display: inline-block;
		    font-size: 10px;
		    height: 14px;
		    overflow: hidden;
		    padding: 2px 1px;
		    position: relative;
		    width: 16px;
		 }
		 

	</style>
	
	
</head>

<body>
	
	<?php
	include('./includes/encabezado.php');
	
	if($ID!=''){
	?>	
	<div class='recuadro' id="recuadro3" >
		<h4>Puntos relevados en esta actividad</h4>
		<ul>
			<li>algo</li>
			<li>otro</li>
			<li>uno mas</li>			
		</ul>
		
	
	</div>
	<div class='recuadro' id="recuadro2" >
		
				<h4>Consigna de la actividad</h4>
		<ul>
			<li>algo</li>
			<li>otro</li>
			<li>uno mas</li>			
		</ul>			
		
		<h4>Puntos visualizados del banco de datos</h4>
		<ul>
			<li>algo</li>
			<li>otro</li>
			<li>uno mas</li>			
		</ul>		

	</div>
	<?php
	}
	?>
	
	
	<div id="pageborde"><div id="page">
		<h1>Actividad: <?php echo $Actividad['nombre'];?></h1>
		<p>En esta pgina de despliegan todas las activides realizadas.</p>

		<iframe name='mapa' src='./MAPAactividad.php?actividad=<?php echo $Actividad;?>'></iframe>
		
		<?php
			// formulario para agregar una nueva actividad		
		if($ID==''){
				echo "la actividad no fue llamada correctamnte";
		}else{
			// formulario para modificar una actividad 
				echo "<p>Resumen de Consigna para la actividad</p>";
				echo "<form method='post' action='./MAPAactividad.php' target='mapa'>";
				echo "<input type='hidden' name='actividad' value='$Actividad'>";
				echo "<br><input id='submit' style='display:none;' type='submit' value='Guardar punto'><input type'text' name'x' id='x' value=''><input type'text' name'y' id='y' value=''>";
				echo "<input type='hidden' name='accion' value='crear'>";
				echo "<br><label for='valor'>Valor del punto</label>";
				echo "<input name='valor' id='valor' value=''>unidad y descripcin del valor esperado";	
				echo "<br><label for='texto'>Texto del punto</label>";
				echo "<input name='texto' id='texto' value=''>descripcin del texto esperado";
				echo "<br><label for='link'>Adjunto / weblink</label>";
				echo "<input name='link' id='link' value=''>";
				echo "<input type='file' name='link_file' id='link_file' value=''>";
				
				
			$datosargumentacion = actividadesconsulta($ID);
			
			echo "</div>";
		}
		?>
	
	</div></div>
	

<?php
include('./includes/pie.php');
	/*medicion de rendimiento lamp*/
	$endtime = microtime(true);
	$duration = $endtime - $starttime;
	$duration = substr($duration,0,6);
	echo "<br>tiempo de respuesta : " .$duration. " segundos";
?>
</body>

<!-- este proyecto recurre al proyecto tiny_mce para las funciones de edicin de texto -->
<script type="text/javascript" src="./js/editordetexto/tiny_mce.js"></script>
<script type="text/javascript">

		tinyMCE.init({
				
	        // General options
	        mode : "textareas",
	        theme : "advanced",
	        plugins : "autolink,lists,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
	
			forced_root_block : "",
		    remove_linebreaks : true,
		    remove_trailing_nbsp : true,
		    force_br_newlines : false,
	        force_p_newlines : true,
		    fix_list_elements : false,
		    remove_linebreaks : true,
			width : "550px",
			height : "600px",
	
	        // Theme options
	        theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,fontsizeselect|cut,copy,paste,pastetext,pasteword,|,bullist,numlist,|,link,unlink|visualchars,nonbreaking,blockquote|tablecontrols,|,removeformat,visualaid,",
	        theme_advanced_toolbar_location : "top",
	        theme_advanced_toolbar_align : "left",
	        theme_advanced_statusbar_location : "bottom",
	
	        // Skin options
	        skin : "o2k7",
	        skin_variant : "silver",
	
	        // Example content CSS (should be your site CSS)
	        content_css : "",
	
	        // Drop lists for link/image/media/template dialogs
	        template_external_list_url : "js/template_list.js",
	        external_link_list_url : "js/link_list.js",
	        external_image_list_url : "js/image_list.js",
	        media_external_list_url : "js/media_list.js",
	
	        // Replace values for the template plugin
	        template_replace_values : {
	                username : "Some User",
	                staffid : "991234"
	        }
		});
</script>